Skip to main content
PATCH
/
v0
/
products
/
{productId}
/
plans
/
{planId}
/
update
Update a plan
curl --request PATCH \
  --url https://api.fungies.io/v0/products/{productId}/plans/{planId}/update \
  --header 'Content-Type: application/json' \
  --header 'x-fngs-public-key: <api-key>' \
  --header 'x-fngs-secret-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "",
  "features": [
    {
      "value": "<string>"
    }
  ],
  "cover": "<string>",
  "coverBlurHash": "<string>",
  "coverVideo": "<string>",
  "externalId": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.fungies.io/v0/products/{productId}/plans/{planId}/update"

payload = {
    "name": "<string>",
    "description": "",
    "features": [{ "value": "<string>" }],
    "cover": "<string>",
    "coverBlurHash": "<string>",
    "coverVideo": "<string>",
    "externalId": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
    "x-fngs-public-key": "<api-key>",
    "x-fngs-secret-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {
    'x-fngs-public-key': '<api-key>',
    'x-fngs-secret-key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: '<string>',
    description: '',
    features: [{value: '<string>'}],
    cover: '<string>',
    coverBlurHash: '<string>',
    coverVideo: '<string>',
    externalId: '<string>',
    id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
  })
};

fetch('https://api.fungies.io/v0/products/{productId}/plans/{planId}/update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "plan": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object": "variant",
      "internalId": null,
      "name": "",
      "description": "",
      "order": null
    }
  }
}
{
  "status": "error",
  "error": {
    "message": "Sample error message"
  }
}

Authorizations

x-fngs-public-key
string
header
required
x-fngs-secret-key
string
header
required

Path Parameters

productId
string<uuid>
required

PATCH /v0/products/:productId/plans/:planId/update Parameter

planId
string<uuid>
required

PATCH /v0/products/:productId/plans/:planId/update Parameter

Body

application/json

PATCH /v0/products/:productId/plans/:planId/update Request body

name
string
Required string length: 1 - 150
description
string
default:""
features
object[]
cover
string
coverBlurHash
string
coverVideo
string
externalId
string
id
string<uuid>

Response

PATCH /v0/products/:productId/plans/:planId/update Positive response

status
string
required
Allowed value: "success"
data
object
required